package meerkat.pollingstation;

import com.google.protobuf.ByteString;
import meerkat.protobuf.PollingStation;

import static meerkat.pollingstation.PollingStationConstants.POLLING_STATION_WEB_SCANNER_SCAN_PATH;

/**
 * Created by Laura on 3/20/2017.
 */
public class PollingStationClientToyRun {

    private static final String ADDRESS = "http://localhost";
    private static final String SUB_ADDRESS = "";
    private static final int PORT = 8080;

    public static void main(String [] args) {
        byte[] data = {(byte) 1, (byte) 2};

        PollingStation.ScannedData scannedData = PollingStation.ScannedData.newBuilder()
                .setChannel(ByteString.copyFrom(data))
                .build();

        ScannerClientAPI scannerClient = new ScannerClientAPI(ADDRESS, SUB_ADDRESS, PORT, POLLING_STATION_WEB_SCANNER_SCAN_PATH);
        scannerClient.sendScan(scannedData);
    }
}
